import { EntityDetailViewModelBase } from "../detail-view-model-base";
import { Country, Locality } from "../../model/common-model";
import { Router } from "aurelia-router";
import { CustomLogger } from "../../modules/custom-logger";
import { ServiceBase } from "../../data/service-base";
export declare class LocalityDetail extends EntityDetailViewModelBase<Locality> {
    get documentTitle(): string;
    ressourceName: string;
    countryService: ServiceBase<Country>;
    communeService: ServiceBase<Locality>;
    constructor(router: Router, logger: CustomLogger);
    activate(params: any): Promise<void>;
    initCustomSelect2Predicate(): void;
}
